System.Web 2.0.0.0 System.Enum

The enumeration is used to represent the different sets of images that can be displayed in the control. You can select from a predefined set of images or create your own custom set by setting the property to the value. When defining a custom set of images, you should specify an image for each of the properties in the following table. Otherwise, the default image for that property is used.

Property

Description

The URL to a custom image for the collapsed node indicator.

The URL to a custom image for the expanded node indicator.

The URL to a folder that contains custom images for lines-connecting nodes.

The URL to a custom image for the non-expanding node indicator.

Represents an image set to use in the control.

- Field
  System.Web.UI.WebControls.TreeViewImageSet

  A predefined set of arrow images.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeViewImageSet

  A predefined set of diamond-shaped bullet images.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeViewImageSet

  A predefined set of square-shaped bullet images.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeViewImageSet

  A predefined set of sectioned, diamond shaped bullet images.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeViewImageSet

  A predefined set of alternate sectioned, diamond shaped bullet images in sizes that vary by level.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeViewImageSet

  A predefined set of MSN Messenger–styled images.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeViewImageSet

  A user-defined set of images. This is the default value of the .

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeViewImageSet

  A predefined set of event log–styled images.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeViewImageSet

  A predefined set of FAQ-styled images.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeViewImageSet

  A predefined set of e-mail–styled images.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeViewImageSet

  A predefined set of Microsoft MSDN developer program–styled images.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeViewImageSet

  A predefined set of newsgroup-styled images.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeViewImageSet

  A predefined set of simple-shaped outline images.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeViewImageSet

  A predefined set of filled simple-shaped images.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeViewImageSet

  A predefined set of Microsoft Windows Help–styled images.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeViewImageSet

  A predefined set of Windows Explorer for Microsoft Windows XP–styled images.

  2.0.0.0